package info.bukova.isspst.storage;

import java.io.File;

public interface FileStorage {
	
//	public String getRootPath();
	public void saveFile(byte[] data, String fileName);
	public void saveFile(File file, String path);
	public void removeFile(String fileName);
	public void moveFile(String source, String destination);
	public void createDirectory(String dir);
	public byte[] fileData(String fileName);
	public File file(String fileName);
	public boolean dirExists(String path);
	public String serverPath(String fileName);
	
}
